Bug 243518 - net-p2p/rslsync: Update to 2.6.4
Summary: net-p2p/rslsync: Update to 2.6.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: freebsd-ports-bugs mailing list
URL: https://help.resilio.com/hc/en-us/art...
Keywords: buildisok, needs-patch, security
Depends on:
Blocks:
 
Reported: 2020-01-22 14:47 UTC by Volodymyr Kostyrko
Modified: 2020-05-23 12:20 UTC (History)
5 users (show)

See Also:
fernape: merge-quarterly?


Attachments
update to 2.6.4 (2.22 KB, patch)
2020-01-22 14:47 UTC, Volodymyr Kostyrko
arcade: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Volodymyr Kostyrko 2020-01-22 14:47:01 UTC
Created attachment 210964 [details]
update to 2.6.4

Changelog:

Fixed security issue in the Sync WebUI. The credit for reporting this issue goes to Frantisek Uhrecky (fruh)

Port:

* fix order;
* use ${AWK}.
* add future conflict with beta version.
Comment 1 Automation User 2020-01-22 15:07:31 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/111436145
Comment 2 Fernando Apesteguía freebsd_committer 2020-04-06 07:29:31 UTC
Adding request to merge-quaterly since this fixes a security issue.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval :)

Attachment -> Details -> maintainer-approval [+]
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-06 07:33:37 UTC
Pending VuXML entry
Comment 4 Fernando Apesteguía freebsd_committer 2020-04-06 20:09:59 UTC
Thank you Volodymyr for setting the flag :)

Do you think you could add the patch for VuXML? You can see information here: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/security-notify.html

Cheers!
Comment 5 commit-hook freebsd_committer 2020-05-23 12:18:13 UTC
A commit references this bug:

Author: joneum
Date: Sat May 23 12:18:03 UTC 2020
New revision: 536292
URL: https://svnweb.freebsd.org/changeset/ports/536292

Log:
  Update to 2.6.4

  Changelog:
  - Fixed security issue in the Sync WebUI. Credits to Frantisek Uhrecky (fruh)

  PR:		243518
  Reported by:	Volodymyr Kostyrko <arcade@b1t.name> (maintainer)
  MFH:		2020Q2
  Sponsored by:	Netzkommune GmbH

Changes:
  head/net-p2p/rslsync/Makefile
  head/net-p2p/rslsync/distinfo
Comment 6 commit-hook freebsd_committer 2020-05-23 12:20:17 UTC
A commit references this bug:

Author: joneum
Date: Sat May 23 12:19:48 UTC 2020
New revision: 536293
URL: https://svnweb.freebsd.org/changeset/ports/536293

Log:
  MFH: r536292

  Update to 2.6.4

  Changelog:
  - Fixed security issue in the Sync WebUI. Credits to Frantisek Uhrecky (fruh)

  PR:		243518
  Reported by:	Volodymyr Kostyrko <arcade@b1t.name> (maintainer)
  Sponsored by:	Netzkommune GmbH

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/net-p2p/rslsync/Makefile
  branches/2020Q2/net-p2p/rslsync/distinfo